CreateBandwidthCluster
1. API Description
This API (CreateBandwidthCluster) is used to create a bandwidth cluster.
Note
If you don't have bandwidth cluster permissions, please contact us to obtain access.
2. Input Parameters
The following request parameter list only provides API request parameters.
areaCode
Yes
String
Location of the bandwidth cluster.
To obtain code, you can call DescribeBandwidthClusterAreas, and find areaCode in the response.
internetChargeType
Yes
Network billing method.
The default billing method is Monthly Burstable 95th, if you need Daily Peak billing, please contact us.
Default value: MonthlyPercent95Bandwidth.
Default value: MonthlyPercent95Bandwidth
commitBandwidthMbps
No
Integer
Bandwidth commitment.
Unit: Mbps.
Available value range: [0, 100000].
Default value: 0.
Value range: [0, 999999]
Default value: 0
networkType [Deprecated]
No
IP network type.
The value is required for the bandwidth cluster by city.
name
No
String
Bandwidth cluster name.
If not specified, the default name will be based on the location name.
3. Output Parameters
requestId
String
The unique request ID, which is returned for each request.
RequestId is required for locating a problem.
orderNumber
String
Order number.
bandwidthClusterId
String
Bandwidth cluster ID.
4. Code Example
Create a bandwidth cluster with the China Mobile network in Shanghai (SHA), whose bandwidth commitment is 1 Gbps.
5. 5. Developer Resources
Zenlayer Cloud API 2.0 integratesSDKs,to make it easier for you to call APIs. More programming languages will be supported.
6. Error Codes
The following only lists the error codes related to the API business logic. For other error codes, seeCommon Error Codes.
404
INVALID_CITY_NOT_FOUND
The specified city is not found.
Last updated